commit:     fc9c466cb2cd6177c998f95209b822787bf8fe10
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 19 13:52:07 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Dec 20 01:13:15 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fc9c466c

dev-python/cython: add 0.29.37.1

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/cython/Manifest                |  1 +
 dev-python/cython/cython-0.29.37.1.ebuild | 94 +++++++++++++++++++++++++++++++
 2 files changed, 95 insertions(+)

diff --git a/dev-python/cython/Manifest b/dev-python/cython/Manifest
index 7bd49ccadde4..b0866ef9561a 100644
--- a/dev-python/cython/Manifest
+++ b/dev-python/cython/Manifest
@@ -1,4 +1,5 @@
 DIST cython-0.29.36.gh.tar.gz 2115333 BLAKE2B 
6d43779c7222ff65d7de3a35ec18ef636480807d53480a8f94cc8c92d462fcc2f4d201a3bbf6e840a11fd33025e32c53f85626b05c131d10eed2859cdca7eb2d
 SHA512 
a086fe1a11290cd3c870b891e61a0a0e2595bab9c26888024a758b6950c07059346d682fa9349e46c0af89805abbdd750059b3189960b8ce18007dfb5eb4391a
+DIST cython-0.29.37.1.gh.tar.gz 2115631 BLAKE2B 
b81e527ee1da7d16d074102378b531e4b0c161a3d66e47df46b624b02464cbd5c3d08d0e32f8175d56807ed8c6603108b85953db9f51892cfdf8952b4d287399
 SHA512 
6038499f13914b8a1957eee4d04e0499f448c89c3d519320e5218bf518aacb7d345f3c48614839222eaee016edf549b719520500b0088d28163635a74d35f3c6
 DIST cython-3.0.2.gh.tar.gz 2744583 BLAKE2B 
f631891870a6ce24acf2bcde75ebcb9775cf0df7840fe9d7b138cfdea64d54e9253a53d35d892a9086f251c1294d9414eec8521218d031840a3cd06903fefb86
 SHA512 
f55be138efdca6ca61bd39c6f2fab736244328a170a6f6c9bda87036e022c846930b209e9e9101fad889cb179d6e60034ba6f299f14b3056536d46235b438eb7
 DIST cython-3.0.3.gh.tar.gz 2753188 BLAKE2B 
0e6d40533f1cebf3c4217dc19aeebc2f873a8bacb94e68810e81d1c6d4cd75176de88516f2d82f43b36107656b6cd5e6990547e93bd8436b1aa93c73ccda6eaf
 SHA512 
c27c16abaf0122ad61e0eeb92aa80a33fc491332b8ebec209cd1810d2b0e3bf14fe1e81838803b86f407520a6d6f7ab8b84d97e495e7d91fd6f7702a46980caa
 DIST cython-3.0.4.gh.tar.gz 2754689 BLAKE2B 
5418b8c374565894deb07e7a3f2fe242e1ef43eed5d716cbd9c6b9fd3d62088d9982eb156c981fa9f6edcf42592f2249f9eb450d16ef908be464e357ee9bbea7
 SHA512 
bc87e38f9c188a5311f75f49ba4b9ec1ee0af00ff9ed655ca69972891f8b0801025265f8cad4521670088275c7da3d6136aeda7ebb6a33554f64cc7aef362c73

diff --git a/dev-python/cython/cython-0.29.37.1.ebuild 
b/dev-python/cython/cython-0.29.37.1.ebuild
new file mode 100644
index 000000000000..3db83925618c
--- /dev/null
+++ b/dev-python/cython/cython-0.29.37.1.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_TESTED=( python3_{10..11} )
+# 3.12 not tested yet for https://github.com/cython/cython/issues/5285.
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" python3_12 pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 multiprocessing toolchain-funcs elisp-common
+
+DESCRIPTION="A Python to C compiler"
+HOMEPAGE="
+       https://cython.org/
+       https://github.com/cython/cython/
+       https://pypi.org/project/Cython/
+"
+SRC_URI="
+       https://github.com/cython/cython/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos 
~x64-macos ~x64-solaris"
+IUSE="emacs test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       emacs? ( >=app-editors/emacs-23.1:* )
+"
+BDEPEND="
+       ${RDEPEND}
+       test? (
+               $(python_gen_cond_dep '
+                       dev-python/numpy[${PYTHON_USEDEP}]
+               ' "${PYTHON_TESTED[@]}")
+       )
+"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-0.29.22-spawn-multiprocessing.patch"
+       "${FILESDIR}/${PN}-0.29.23-test_exceptions-py310.patch"
+       "${FILESDIR}/${PN}-0.29.23-pythran-parallel-install.patch"
+)
+
+SITEFILE=50cython-gentoo.el
+
+distutils_enable_sphinx docs
+
+python_compile() {
+       # Python gets confused when it is in sys.path before build.
+       local -x PYTHONPATH=
+
+       distutils-r1_python_compile
+}
+
+python_compile_all() {
+       use emacs && elisp-compile Tools/cython-mode.el
+}
+
+python_test() {
+       if ! has "${EPYTHON/./_}" "${PYTHON_TESTED[@]}"; then
+               einfo "Skipping tests on ${EPYTHON} (xfail)"
+               return
+       fi
+
+       tc-export CC
+       # https://github.com/cython/cython/issues/1911
+       local -x CFLAGS="${CFLAGS} -fno-strict-overflow"
+       "${PYTHON}" runtests.py -vv -j "$(makeopts_jobs)" --work-dir 
"${BUILD_DIR}"/tests ||
+               die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+       local DOCS=( CHANGES.rst README.rst ToDo.txt USAGE.txt )
+       distutils-r1_python_install_all
+
+       if use emacs; then
+               elisp-install ${PN} Tools/cython-mode.*
+               elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+       fi
+}
+
+pkg_postinst() {
+       use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+       use emacs && elisp-site-regen
+}

Reply via email to